Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.model
Class Not

    java.lang.Object
      org.modeshape.jcr.query.model.Not

All Implemented Interfaces:
  Serializable, Constraint, Not, LanguageObject, Visitable

    @Immutable
    public class Not

extends Object
implements Constraint, Not

A constraint that negates another constraint.

See Also:
  Serialized Form

Constructor Summary
`Not(Constraint constraint)` Create a constraint that negates another constraint.

Method Summary
`void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
`boolean` | `equals(Object obj)`
`Constraint` | `getConstraint()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Not

    public Not(Constraint constraint)

  Create a constraint that negates another constraint.

  Parameters:
    `constraint` - the constraint that is being negated
  Throws:
    `IllegalArgumentException` - if the supplied constraint is null

Method Detail

### getConstraint

    public Constraint getConstraint()

  Specified by:
    `getConstraint` in interface `Not`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### accept

    public void accept(Visitor visitor)

  Description copied from interface: `Visitable`
  Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.

  Specified by:
    `accept` in interface `Visitable`
  Parameters:
    `visitor` - the visitor; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.